org.apache.ignite.internal.binary.builder

## Class BinaryBuilderEnum

- java.lang.Object
- - org.apache.ignite.internal.binary.builder.BinaryBuilderEnum

    public class BinaryBuilderEnum
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BinaryBuilderEnum(BinaryBuilderReader reader)`
`BinaryBuilderEnum(int typeId, Enum anEnum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getOrdinal()`
`int` `hashCode()`
`void` `writeTo(BinaryWriterExImpl writer, org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryBuilderEnum

    public BinaryBuilderEnum(int typeId,
                             Enum anEnum)

Parameters:
  `typeId` - Type ID.
  `anEnum` - Enum instance.

#### BinaryBuilderEnum

    public BinaryBuilderEnum(BinaryBuilderReader reader)

Parameters:
  `reader` - BinaryBuilderReader.

### Method Detail

#### getOrdinal

    public int getOrdinal()

Returns:
  Ordinal.

#### writeTo

    public void writeTo(BinaryWriterExImpl writer,
                        org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)

Parameters:
  `writer` - Writer.
  `ctx` - Context.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018